## httpx 0.12.1

=== debian/changelog ===
httpx (0.12.1-2) unstable; urgency=medium

  * debian/watch
    - sort dev releases lower than final ones

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jul 2020 01:53:45 -0400

httpx (0.12.1-1) unstable; urgency=low

  * Initial release; Closes: #951551

 -- Sandro Tosi <morph@debian.org>  Mon, 11 May 2020 00:35:56 -0400

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=httpx

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# try also https://pypi.debian.net/httpx/watch
version=3
opts=uversionmangle=s/\.?(rc|a|b|c|dev)/~$1/ \
https://pypi.debian.net/httpx/httpx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## httpx 0.16.1

=== requirements.txt ===
-e .[http2]

# Optional
brotlipy==0.7.*

# Documentation
mkdocs
mkautodoc
mkdocs-material

# Packaging
twine
wheel

# Tests & Linting
autoflake
black==20.8b1
coverage==5.3
cryptography
flake8
flake8-bugbear
flake8-pie==0.5.*
isort==5.*
mypy
pytest==5.*
pytest-asyncio
pytest-trio
trio
trio-typing
trustme
uvicorn

attrs>=19.3.0  # See: https://github.com/encode/httpx/pull/566#issuecomment-559862665

=== debian/changelog ===
httpx (0.16.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release; Closes: #971702
  * debian/watch
    - track github
  * debian/patches/
    - remove patches, no longer needed
  * debian/control
    - wrap-and-sort
    - add brotli, httpcore, pytest, pytest-cov, trio, trustme, uvicorn to b-d,
      needed for tests
    - set httpcore as a versioned b-d, to be >= 0.12
  * debian/rules
    - disable tests (temporarily)

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Oct 2020 01:37:46 -0400

=== debian/control ===
Source: httpx
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-brotli <!nocheck>,
               python3-certifi,
               python3-chardet,
               python3-h11,
               python3-h2,
               python3-httpcore (>= 0.12) <!nocheck>,
               python3-idna,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-rfc3986 (>= 1.3.0),
               python3-setuptools,
               python3-sniffio,
               python3-trio <!nocheck>,
               python3-trustme <!nocheck>,
               python3-urllib3,
               python3-uvicorn <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://www.python-httpx.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/httpx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/httpx

Package: python3-httpx
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: next generation HTTP client
 HTTPX is a fully featured HTTP client for Python 3, which provides sync and
 async APIs, and support for both HTTP/1.1 and HTTP/2.
 .
 HTTPX is a high performance asynchronous HTTP client, that builds on the
 well-established usability of requests, and gives you:
 .
  * A broadly requests-compatible API.
  * Standard synchronous interface, but with async support if you need it.
  * HTTP/1.1 and HTTP/2 support.
  * Ability to make requests directly to WSGI applications or ASGI applications.
  * Strict timeouts everywhere.
  * Fully type annotated.
  * 99% test coverage.
 .
 Plus all the standard features of requests:
 .
  * International Domains and URLs
  * Keep-Alive & Connection Pooling
  * Sessions with Cookie Persistence
  * Browser-style SSL Verification
  * Basic/Digest Authentication
  * Elegant Key/Value Cookies
  * Automatic Decompression
  * Automatic Content Decoding
  * Unicode Response Bodies
  * Multipart File Uploads
  * HTTP(S) Proxy Support
  * Connection Timeouts
  * Streaming Downloads
  * .netrc Support
  * Chunked Requests

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=httpx
# Disable tests for now, until we can find a way to make them connect to
# the 2 testing instances on ports 8000 and 8001
export PYBUILD_DISABLE_python3=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%httpx-$1.tar.gz%" \
https://github.com/encode/httpx/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## httpx 0.19.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
--e .[http2]
-
-# Optional
-brotlipy==0.7.*
+-e .[http2,brotli]
 
 # Documentation
 mkdocs
@@ -22,12 +19,13 @@
 flake8-pie==0.5.*
 isort==5.*
 mypy
-pytest==5.*
+types-certifi
+pytest==6.*
 pytest-asyncio
 pytest-trio
 trio
 trio-typing
 trustme
-uvicorn
+uvicorn==0.14.0
 
 attrs>=19.3.0  # See: https://github.com/encode/httpx/pull/566#issuecomment-559862665

=== debian/changelog ===
httpx (0.19.0-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address.
  * debian/patches/0000-Debianize-unittests-run
    - refresh patch onto new upstream code
  * debian/control
    - add charset-normalizer to b-d, needed by tests
  * Keep tests disabled

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Nov 2021 22:32:58 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                dh-python,
@@ -10,11 +10,15 @@
                python3-brotli <!nocheck>,
                python3-certifi,
                python3-chardet,
+               python3-charset-normalizer <!nocheck>,
                python3-h11,
                python3-h2,
                python3-httpcore (>= 0.12) <!nocheck>,
                python3-idna,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+# Should be enough to pass last skipped test but not available in the archive
+#              python3-pytest-trio <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-rfc3986 (>= 1.3.0),
                python3-setuptools,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=httpx
export PYBUILD_DISABLE=test

# Use dynamic port for unittest embedded webservers
# Also see debian/patches/0000-Debianize-unittests-run
# export HTTPX_TEST_HTTP_PORT=$(shell python3 -c 'import socket; s=socket.socket(); s.bind(("", 0)); print(s.getsockname()[1]); s.close()')
# export HTTPX_TEST_HTTPS_PORT=$(shell python3 -c 'import socket; s=socket.socket(); s.bind(("", 0)); print(s.getsockname()[1]); s.close()')

%:
	dh $@ --with python3 --buildsystem=pybuild

# override_dh_auto_test:
# ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
# 	$(info Running unittest with HTTP on port $(HTTPX_TEST_HTTP_PORT) and HTTPS one on $(HTTPX_TEST_HTTPS_PORT))
# 	# For some reasons dh_auto_test sets a lot of environment variables and I have not been able to find
# 	# any documentation or the code setting this, what I'm sure of, is that it breaks unittest checking proxy
# 	# state, let's forget about this and call pytest directly, it's a lot easier
# 	# The three additional disabled test are making remote calls
# 	# http_proxy='' https_proxy='' dh_auto_test
# 	for python in $(shell py3versions --supported); do \
# 	  $$python -m pytest -v -k 'not test_connect_timeout and not test_sync_proxy_close and not test_async_proxy_close'; \
# 	done
# endif

## httpx 0.21.1

=== requirements.txt ===
# We're pinning our tooling, because it's an environment we can strictly control.
# On the other hand, we're not pinning package dependencies, because our tests
# needs to pass with the latest version of the packages.
# Reference: https://github.com/encode/httpx/pull/1721#discussion_r661241588
-e .[cli,http2,brotli]

charset-normalizer==2.0.6

# Documentation
mkdocs==1.2.2
mkautodoc==0.1.0
mkdocs-material==7.2.6

# Packaging
twine==3.4.2
wheel==0.37.0

# Tests & Linting
autoflake==1.4
black==21.10b0
coverage==6.0.2
cryptography==3.4.8
flake8==3.9.2
flake8-bugbear==21.9.2
flake8-pie==0.15.0; python_version>='3.7'
isort==5.9.3
mypy==0.910
types-certifi==2021.10.8.0
pytest==6.2.4
pytest-asyncio==0.15.1
pytest-trio==0.7.0
trio==0.19.0
trio-typing==0.5.1
trustme==0.8.0
uvicorn==0.14.0

=== debian/changelog ===
httpx (0.21.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - run tests at build-time
    - allow to run test_main, now that the right b-d are in place
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
    - bump versioned b-d on httpcore to >= 0.14
    - add click, pygments, and rich to b-d, needed to run tests
    - add click, pygments, and rich to Depends, needed to run /usr/bin/httpx
  * debian/tests/*
    - add autopkgtests
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 30 Nov 2021 00:55:55 -0500

=== debian/control ===
--- 
+++ 
@@ -11,30 +11,36 @@
                python3-certifi,
                python3-chardet,
                python3-charset-normalizer <!nocheck>,
+               python3-click (>= 8) <!nocheck>,
                python3-h11,
                python3-h2,
-               python3-httpcore (>= 0.12) <!nocheck>,
+               python3-httpcore (>= 0.14) <!nocheck>,
                python3-idna,
+               python3-pygments <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
 # Should be enough to pass last skipped test but not available in the archive
 #              python3-pytest-trio <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-rfc3986 (>= 1.3.0),
+               python3-rich (>= 10) <!nocheck>,
                python3-setuptools,
                python3-sniffio,
                python3-trio <!nocheck>,
                python3-trustme <!nocheck>,
                python3-urllib3,
                python3-uvicorn <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://www.python-httpx.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpx
 
 Package: python3-httpx
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-click (>= 8),
+         python3-pygments,
+         python3-rich (>= 10),
+         ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},

## httpx 0.22.0

=== requirements.txt ===
# We're pinning our tooling, because it's an environment we can strictly control.
# On the other hand, we're not pinning package dependencies, because our tests
# needs to pass with the latest version of the packages.
# Reference: https://github.com/encode/httpx/pull/1721#discussion_r661241588
-e .[brotli,cli,http2,socks]

charset-normalizer==2.0.6

# Documentation
mkdocs==1.2.3
mkautodoc==0.1.0
mkdocs-material==8.1.4

# Packaging
twine==3.7.1
wheel==0.37.0

# Tests & Linting
autoflake==1.4
black==21.11b1
coverage==6.0.2
cryptography==36.0.1
flake8==3.9.2
flake8-bugbear==21.9.2
flake8-pie==0.15.0; python_version>='3.7'
isort==5.10.1
mypy==0.910
types-certifi==2021.10.8.0
pytest==6.2.5
pytest-asyncio==0.16.0
pytest-trio==0.7.0
trio==0.19.0
trio-typing==0.5.1
trustme==0.9.0
uvicorn==0.14.0

=== debian/changelog ===
httpx (0.22.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 13:37:28 -0700

httpx (0.22.0-2) unstable; urgency=medium

  * debian/control, debian/rules
    - add socksio to b-d, needed by tests which were disable and can now be
      enabled again
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Mar 2022 22:24:35 -0400

httpx (0.22.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules, debian/tests/unittests
    - skip test_socks_proxy, depends on socksio not present in debian yet
  * debian/control
    - bump versioned v-d on httpcore to >= 0.14.5

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Feb 2022 23:52:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: httpx
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                dh-python,
@@ -14,22 +15,21 @@
                python3-click (>= 8) <!nocheck>,
                python3-h11,
                python3-h2,
-               python3-httpcore (>= 0.14) <!nocheck>,
+               python3-httpcore (>= 0.14.5) <!nocheck>,
                python3-idna,
                python3-pygments <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
-# Should be enough to pass last skipped test but not available in the archive
-#              python3-pytest-trio <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-rfc3986 (>= 1.3.0),
                python3-rich (>= 10) <!nocheck>,
                python3-setuptools,
                python3-sniffio,
+               python3-socksio <!nocheck>,
                python3-trio <!nocheck>,
                python3-trustme <!nocheck>,
                python3-urllib3,
-               python3-uvicorn <!nocheck>,
+               python3-uvicorn <!nocheck>
 Standards-Version: 4.6.0.1
 Homepage: https://www.python-httpx.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpx.git
@@ -41,9 +41,9 @@
          python3-pygments,
          python3-rich (>= 10),
          ${misc:Depends},
-         ${python3:Depends},
-Recommends: ${python3:Recommends},
-Suggests: ${python3:Suggests},
+         ${python3:Depends}
+Recommends: ${python3:Recommends}
+Suggests: ${python3:Suggests}
 Description: next generation HTTP client
  HTTPX is a fully featured HTTP client for Python 3, which provides sync and
  async APIs, and support for both HTTP/1.1 and HTTP/2.

=== debian/tests/control ===
Tests: unittests
Depends: @, @builddeps@
Restrictions: allow-stderr, needs-internet

Test-Command: httpx --verbose https://www.debian.org
Depends: @

## httpx 0.23.0

=== requirements.txt ===
# We're pinning our tooling, because it's an environment we can strictly control.
# On the other hand, we're not pinning package dependencies, because our tests
# needs to pass with the latest version of the packages.
# Reference: https://github.com/encode/httpx/pull/1721#discussion_r661241588
-e .[brotli,cli,http2,socks]

# Optional charset auto-detection
# Used in our test cases
chardet==4.0.0
types-chardet==4.0.4

# Documentation
mkdocs==1.3.0
mkautodoc==0.1.0
mkdocs-material==8.2.14

# Packaging
twine==4.0.0
wheel==0.37.1

# Tests & Linting
autoflake==1.4
black==22.3.0
coverage==6.0.2
cryptography==37.0.2
flake8==3.9.2
flake8-bugbear==22.1.11
flake8-pie==0.15.0; python_version>='3.7'
isort==5.10.1
mypy==0.910
types-certifi==2021.10.8.2
pytest==7.1.2
pytest-asyncio==0.16.0
pytest-trio==0.7.0
trio==0.20.0
trio-typing==0.7.0
trustme==0.9.0
uvicorn==0.17.6

=== debian/changelog ===
httpx (0.23.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1010336 - CVE-2021-41945
  * debian/control
    - bump b-d on httpcore to >= 0.15.0

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jun 2022 22:16:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: httpx
 Section: python
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                dh-python,
@@ -15,21 +14,23 @@
                python3-click (>= 8) <!nocheck>,
                python3-h11,
                python3-h2,
-               python3-httpcore (>= 0.14.5) <!nocheck>,
+               python3-httpcore (>= 0.15.0) <!nocheck>,
                python3-idna,
                python3-pygments <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
+# Should be enough to pass last skipped test but not available in the archive
+#              python3-pytest-trio <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-rfc3986 (>= 1.3.0),
                python3-rich (>= 10) <!nocheck>,
                python3-setuptools,
                python3-sniffio,
+               python3-trio <!nocheck>,
                python3-socksio <!nocheck>,
-               python3-trio <!nocheck>,
                python3-trustme <!nocheck>,
                python3-urllib3,
-               python3-uvicorn <!nocheck>
+               python3-uvicorn <!nocheck>,
 Standards-Version: 4.6.0.1
 Homepage: https://www.python-httpx.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpx.git
@@ -41,9 +42,9 @@
          python3-pygments,
          python3-rich (>= 10),
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+         ${python3:Depends},
+Recommends: ${python3:Recommends},
+Suggests: ${python3:Suggests},
 Description: next generation HTTP client
  HTTPX is a fully featured HTTP client for Python 3, which provides sync and
  async APIs, and support for both HTTP/1.1 and HTTP/2.

## httpx 0.23.1

=== requirements.txt ===
# We're pinning our tooling, because it's an environment we can strictly control.
# On the other hand, we're not pinning package dependencies, because our tests
# needs to pass with the latest version of the packages.
# Reference: https://github.com/encode/httpx/pull/1721#discussion_r661241588
-e .[brotli,cli,http2,socks]

# Optional charset auto-detection
# Used in our test cases
chardet==5.0.0
types-chardet==5.0.3

# Documentation
mkdocs==1.4.0
mkautodoc==0.2.0
mkdocs-material==8.5.5

# Packaging
build==0.8.0
twine==4.0.1

# Tests & Linting
autoflake==1.7.7
black==22.10.0
coverage==6.5.0
cryptography==38.0.1
flake8==3.9.2
flake8-bugbear==22.7.1
flake8-pie==0.16.0; python_version>='3.7'
importlib-metadata==4.13.0; python_version>='3.7'
isort==5.10.1
multipart==0.2.4
mypy==0.982
types-certifi==2021.10.8.2
pytest==7.1.2
pytest-asyncio==0.19.0
pytest-trio==0.7.0
trio==0.21.0
trio-typing==0.7.0
trustme==0.9.0
uvicorn==0.19.0

=== debian/changelog ===
httpx (0.23.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - replace b-d on dh-python with pybuild-plugin-pyproject
    - add hatchling to b-d, needed by pyproject.toml
  * debian/patches/disable-hatch-fancy-pypi-readme.patch
    - dont use hatch-fancy-pypi-readme module, not available in Debian
  * debian/patches/PR2456.patch
    - drop multipart test requirement, since PyPI:multipart and
      PyPI:python-multipart conflicts

 -- Sandro Tosi <morph@debian.org>  Fri, 09 Dec 2022 02:00:45 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-brotli <!nocheck>,
                python3-certifi,
@@ -14,6 +14,7 @@
                python3-click (>= 8) <!nocheck>,
                python3-h11,
                python3-h2,
+               python3-hatchling,
                python3-httpcore (>= 0.15.0) <!nocheck>,
                python3-idna,
                python3-pygments <!nocheck>,

## httpx 0.23.3

=== requirements.txt ===
--- 
+++ 
@@ -6,13 +6,13 @@
 
 # Optional charset auto-detection
 # Used in our test cases
-chardet==5.0.0
+chardet==5.1.0
 types-chardet==5.0.3
 
 # Documentation
 mkdocs==1.4.0
 mkautodoc==0.2.0
-mkdocs-material==8.5.5
+mkdocs-material==8.5.11
 
 # Packaging
 build==0.8.0
@@ -22,19 +22,16 @@
 autoflake==1.7.7
 black==22.10.0
 coverage==6.5.0
-cryptography==38.0.1
+cryptography==38.0.4
 flake8==3.9.2
 flake8-bugbear==22.7.1
 flake8-pie==0.16.0; python_version>='3.7'
 importlib-metadata==4.13.0; python_version>='3.7'
-isort==5.10.1
-multipart==0.2.4
+isort==5.11.4
 mypy==0.982
 types-certifi==2021.10.8.2
-pytest==7.1.2
-pytest-asyncio==0.19.0
-pytest-trio==0.7.0
+pytest==7.2.0
 trio==0.21.0
 trio-typing==0.7.0
 trustme==0.9.0
-uvicorn==0.19.0
+uvicorn==0.20.0

=== debian/changelog ===
httpx (0.23.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * Refresh/drop patches
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/tests/unittests
    - run autopkgtest on all supported python versions

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 02:36:20 -0500

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                python3-trustme <!nocheck>,
                python3-urllib3,
                python3-uvicorn <!nocheck>,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Homepage: https://www.python-httpx.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/httpx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/httpx

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=httpx
export PYBUILD_DISABLE=test

# Use dynamic port for unittest embedded webservers
# Also see debian/patches/0000-Debianize-unittests-run
# export HTTPX_TEST_HTTP_PORT=$(shell python3 -c 'import socket; s=socket.socket(); s.bind(("", 0)); print(s.getsockname()[1]); s.close()')
# export HTTPX_TEST_HTTPS_PORT=$(shell python3 -c 'import socket; s=socket.socket(); s.bind(("", 0)); print(s.getsockname()[1]); s.close()')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	for python in $(shell py3versions --supported); do \
	  $$python -m pytest -v -Wignore -k 'not test_connect_timeout and not test_sync_proxy_close and not test_async_proxy_close'; \
	done
endif

## httpx 0.26.0

=== debian/changelog ===
httpx (0.26.0-2) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 16:30:04 -0500

httpx (0.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drops dependency on python3-rfc3986 (Closes: #1058669)
  * Drop patch, hatch-fancy-pypi-readme is now available in Debian.
  * Build-Depend on python3-anyio.
  * Bump Build-Depends on python3-httpcore.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Jan 2024 18:54:09 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
+               python3-anyio,
                python3-brotli <!nocheck>,
                python3-certifi,
                python3-chardet,
@@ -14,8 +14,9 @@
                python3-click (>= 8) <!nocheck>,
                python3-h11,
                python3-h2,
+               python3-hatch-fancy-pypi-readme,
                python3-hatchling,
-               python3-httpcore (>= 0.15.0) <!nocheck>,
+               python3-httpcore (>= 1) <!nocheck>,
                python3-idna,
                python3-pygments <!nocheck>,
                python3-pytest <!nocheck>,
@@ -23,7 +24,6 @@
 # Should be enough to pass last skipped test but not available in the archive
 #              python3-pytest-trio <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-rfc3986 (>= 1.3.0),
                python3-rich (>= 10) <!nocheck>,
                python3-setuptools,
                python3-sniffio,
@@ -34,8 +34,8 @@
                python3-uvicorn <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://www.python-httpx.org/
-Vcs-Git: https://salsa.debian.org/python-team/packages/httpx.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/httpx
+Vcs-Git: https://salsa.debian.org/morph/httpx.git
+Vcs-Browser: https://salsa.debian.org/morph/httpx
 
 Package: python3-httpx
 Architecture: all

=== debian/tests/control ===
Tests: unittests
Depends: @,
         @builddeps@,
Restrictions: allow-stderr, needs-internet

Test-Command: httpx --verbose https://www.debian.org
Depends: @

## httpx 0.27.0

=== requirements.txt ===
# We're pinning our tooling, because it's an environment we can strictly control.
# On the other hand, we're not pinning package dependencies, because our tests
# needs to pass with the latest version of the packages.
# Reference: https://github.com/encode/httpx/pull/1721#discussion_r661241588
-e .[brotli,cli,http2,socks]

# Optional charset auto-detection
# Used in our test cases
chardet==5.2.0

# Documentation
mkdocs==1.5.3
mkautodoc==0.2.0
mkdocs-material==9.5.6

# Packaging
build==1.0.3
twine==4.0.2

# Tests & Linting
coverage[toml]==7.4.1
cryptography==42.0.2
mypy==1.8.0
pytest==8.0.0
ruff==0.1.15
trio==0.24.0
trio-typing==0.10.0
trustme==1.1.0
uvicorn==0.27.0.post1

=== debian/changelog ===
httpx (0.27.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Mar 2024 20:44:52 -0500

## httpx 0.27.2

=== requirements.txt ===
# We're pinning our tooling, because it's an environment we can strictly control.
# On the other hand, we're not pinning package dependencies, because our tests
# needs to pass with the latest version of the packages.
# Reference: https://github.com/encode/httpx/pull/1721#discussion_r661241588
-e .[brotli,cli,http2,socks,zstd]

# Optional charset auto-detection
# Used in our test cases
chardet==5.2.0

# Documentation
mkdocs==1.6.0
mkautodoc==0.2.0
mkdocs-material==9.5.30

# Packaging
build==1.2.1
twine==5.1.1

# Tests & Linting
coverage[toml]==7.6.0
cryptography==43.0.0
mypy==1.11.0
pytest==8.3.1
ruff==0.5.4
trio==0.26.0
trio-typing==0.10.0
trustme==1.1.0
uvicorn==0.30.3

=== debian/changelog ===
httpx (0.27.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add zstandard to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Nov 2024 02:43:44 -0500

## httpx 0.28.1

=== requirements.txt ===
--- 
+++ 
@@ -9,21 +9,22 @@
 chardet==5.2.0
 
 # Documentation
-mkdocs==1.6.0
+mkdocs==1.6.1
 mkautodoc==0.2.0
-mkdocs-material==9.5.30
+mkdocs-material==9.5.47
 
 # Packaging
-build==1.2.1
-twine==5.1.1
+build==1.2.2.post1
+twine==6.0.1
 
 # Tests & Linting
-coverage[toml]==7.6.0
-cryptography==43.0.0
-mypy==1.11.0
-pytest==8.3.1
-ruff==0.5.4
-trio==0.26.0
+coverage[toml]==7.6.1
+cryptography==44.0.0
+mypy==1.13.0
+pytest==8.3.4
+ruff==0.8.1
+trio==0.27.0
 trio-typing==0.10.0
-trustme==1.1.0
-uvicorn==0.30.3
+trustme==1.1.0; python_version < '3.9'
+trustme==1.2.0; python_version >= '3.9'
+uvicorn==0.32.1

=== debian/changelog ===
httpx (0.28.1-1) unstable; urgency=medium

  * New upstream release; Closes: #1098569

 -- Sandro Tosi <morph@debian.org>  Fri, 28 Feb 2025 17:42:10 -0500

=== debian/control ===
--- 
+++ 
@@ -27,11 +27,12 @@
                python3-rich (>= 10) <!nocheck>,
                python3-setuptools,
                python3-sniffio,
+               python3-socksio <!nocheck>,
                python3-trio <!nocheck>,
-               python3-socksio <!nocheck>,
                python3-trustme <!nocheck>,
                python3-urllib3,
                python3-uvicorn <!nocheck>,
+               python3-zstandard <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://www.python-httpx.org/
 Vcs-Git: https://salsa.debian.org/morph/httpx.git
